$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_13x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_13x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = '878dd404f868b8b03b5655553eb3401acdc4d94cf60ec8c67070149b0f0582e5'
  checksumType  = 'sha256'
  checksum64    = '878dd404f868b8b03b5655553eb3401acdc4d94cf60ec8c67070149b0f0582e5'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
